<template>
  <div id="main" class="layout">
    <div class="layout-header">
      <div id="logo">
        <img alt="Vue logo" src="../assets/CJLogo.png">
      </div>
      <div id="main_header">
        <div id="button_area">
          <el-button class="home_btn" @click="logout()">ออกจากระบบ</el-button>
        </div>
      </div>
    </div>
    <div id="main_area">
      <div id="left_area">
        <div id="sell_area">
          <sell></sell>
        </div>
        <div id="info_area">

        </div>
      </div>
      <div id="right_area">
        <right-menu></right-menu>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import users from '@/store/auth/user.module';
import Sell from '@/components/sell/sell.vue';
import RightMenu from '@/components/menu/menu.vue';

  @Component({
    name: 'home',
    components: {
      Sell,
      RightMenu,
    },
  })
export default class Home extends Vue {
  created() {
    this.$root.$on('notify', (value:string) => {
      this.showNoti(value);
    });
  }

  logout() {
    users.logout().then((resolve) => {
      this.$router.push('/login');
    });
  }

  showNoti(text:string) {
    const h = this.$createElement;

    this.$notify({
      title: 'Title',
      message: h('i', { style: 'color: teal' }, text),
    });
  }
}
</script>
<style scoped lang="scss">
    .layout-header {
    background-color: #404040;
    height: $header_height;
  }

  .home_btn {
    height: 100%;
  }

  #main {
    width: 100%;
    height: $win_height;
  }

  #logo {
    float: left;
  }

  #main_header {
    background-color: #e9ecef;
    width: 100%;
    height: 100%;
  }

  #button_area {
    float: right;
    height: 100%;
  }

  #area {
    //height: calc(100vh - 64px);
    //height: calc(#{$win_height} - 64px);
    height: calc(#{$win_height} - #{$header_height});
  }

  #main_area {
    @extend #area;
    width: 100%;
    display: inline-flex;
    /*height: calc(100vh - 64);*/
  }

  #left_area {
    @extend #area;
    background-color: #28a745;
    width: calc(#{$win_width} - #{$right_area});
  }

  #right_area {
    @extend #area;
    width: $right_area;
    background-color: #6610f2;
    float: right;
  }

  #sell_area {
    height: calc(#{$sell_area_height} - #{$info_area_height});
    width: 100%;
    background-color: darkred;
  }

  #info_area {
    height: #{$info_area_height};
    width: 100%;
    background-color: #007bff;
  }
</style>
